error message for conflicting host DHCP reservations is incorrect and confusing
Description

When trying to add a new host with an ip address/mac that conflicts with an existing DHCP reservation, you get the following error

message:

× Unable to save

DHCP Settings for zenith2.tuc.noao.edu task failed with the following error: Must define a hostnam

e

 entry from foreman/production.log

Processing HostsController#create (for 140.252.7.41 at 2011-11-22 12:47:41) [POST]

  Parameters: {"commit"=>"Submit", "action"=>"create", "authenticity_token"=>"R4K/F5qxuZXz3zdyzizv

WMNKh+cvGzOpp9gn2ZmfUc8=", "controller"=>"hosts", "host"=>{"comment"=>"", "architecture_id"=>"1", 

"subnet_id"=>"1", "managed"=>"true", "puppetproxy_id"=>"1", "name"=>"zenith2.tuc.noao.edu", "sp_ma

c"=>"", "puppetmaster_name"=>"puppet.tuc.noao.edu", "sp_name"=>"", "mac"=>"00:15:17:ea:5c:e8", "do

main_id"=>"1", "enabled"=>"1", "root_pass"=>"[FILTERED]", "build"=>"1", "medium_id"=>"5", "hostgro

up_id"=>"2", "ptable_id"=>"12", "sp_subnet_id"=>"", "ip"=>"140.252.19.104", "environment_id"=>"1",

 "model_id"=>"", "disk"=>"", "sp_ip"=>"", "puppetclass_ids"=>[""], "operatingsystem_id"=>"1"}}

Create DHCP reservation for zenith2.tuc.noao.edu-00:15:17:ea:5c:e8/140.252.19.104

Conflicting DHCP reservation for zenith2.tuc.noao.edu-00:15:17:ea:5c:e8/140.252.19.104 detected

DHCP Settings for zenith2.tuc.noao.edu task failed with the following error: Must define a hostnam

e

Rolling back due to a problem: DHCP Settings for zenith2.tuc.noao.edu     10     failed     zenith

2.tuc.noao.eduset_dhcp

Failed to save: DHCP Settings for zenith2.tuc.noao.edu task failed with the following error: Must 

define a hostname

Rendering template within layouts/application

Rendering hosts/new

Completed in 488ms (View: 384, DB: 19) | 200 OK [https://puppet/hosts]

History

#1 - 11/22/2011 02:56 PM - Joshua Hoblitt

It might also be worth noting that the DHCP reservation conflict was caused by just booting the host (and it getting an IP via DHCP) to get the mac

address information off of it.  It might be handy for foreman-proxy to be able to remove existing reservations.

#2 - 01/29/2012 08:32 AM - Ohad Levy

- Status changed from New to Resolved

this was fixed already in the proxy -> #1438
